Bug 1849997 - virt-v2v contains broken rhev-apt
Summary: virt-v2v contains broken rhev-apt
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: libguestfs
Version: 8.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 8.0
Assignee: Pino Toscano
QA Contact: zhoujunqin
URL:
Whiteboard: V2V
Depends On: 1789327
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-23 11:44 UTC by Pino Toscano
Modified: 2020-11-04 02:55 UTC (History)
10 users (show)

Fixed In Version: libguestfs-1.40.2-24.module+el8.3.0+7176+57f10f42
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1753914
: 1849999 (view as bug list)
Environment:
Last Closed: 2020-11-04 02:54:04 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
screenshot-1 without version (146.09 KB, image/png)
2020-07-08 12:03 UTC, zhoujunqin
no flags Details
screenshot-2 with version (152.86 KB, image/png)
2020-07-08 12:04 UTC, zhoujunqin
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4676 0 None None None 2020-11-04 02:54:46 UTC

Description Pino Toscano 2020-06-23 11:44:52 UTC
+++ This bug was initially created as a clone of Bug #1753914 +++

Since RHV 4.3 we have a bug in rhev-apt which prevent it from wworking correctly. Unfortunately with RHEL 7.7 you pulled in this broken. Because we don't have a build with the fix yet, could you revert to the previous version?

-----------------------------------

This was fixed in a new RHV Tools ISO build -- see bug 1753914 for all the details.

Comment 3 zhoujunqin 2020-07-08 12:03:07 UTC
Created attachment 1700293 [details]
screenshot-1 without version

Comment 4 zhoujunqin 2020-07-08 12:04:09 UTC
Created attachment 1700294 [details]
screenshot-2 with version

Comment 5 zhoujunqin 2020-07-08 12:21:56 UTC
Verify the bug with below builds:
virt-v2v-1.40.2-24.module+el8.3.0+7176+57f10f42.x86_64
libguestfs-1.40.2-24.module+el8.3.0+7176+57f10f42.x86_64
libvirt-6.0.0-25.module+el8.3.0+7176+57f10f42.x86_64
qemu-kvm-4.2.0-29.module+el8.3.0+7212+401047e6.x86_64
virtio-win-1.9.12-2.el8.noarch
nbdkit-1.16.2-4.module+el8.3.0+6922+fd575af8.x86_64


Steps:
1.Convert different versions of windows guests from VMware to rhv by virt-v2v
# virt-v2v  -ic vpx://root@10.73.73.141/data/10.73.75.219/?no_verify=1 -o rhv-upload -os nfs_data -of raw -b ovirtmgmt  -it vddk -io vddk-libdir=/home/vmware-vix-disklib-distrib -io vddk-thumbprint=1F:97:34:5F:B6:C2:BA:66:46:CB:1A:71:76:7D:6B:50:1E:03:00:EA  -oc https://ibm-x3250m5-03.rhts.eng.pek2.redhat.com/ovirt-engine/api -op /home/rhvpasswd -oo rhv-cluster=Default -oo rhv-direct -ip /home/passwd -oo rhv-verifypeer=true -oo rhv-cafile=/home/ca.pem $windows_guest

2.Power on guest on rhv after v2v finishing conversion, check guests if firstboot, rhev-apt, qemu-ga is running normally, if there is rhev-apt error in windows log and if certificate of rhev-apt is valid. Summary test result as below:


Guest			Firstboot	rhv-apt       qemu-ga   Certificate valid   Show IP        windows log error	    rhev-apt log
win2019		        yes		yes		yes		yes		yes		no error		no error
win2016		        yes		yes		yes		yes		yes		no error		no error
win2012		        yes		yes		yes		yes		yes		no error		no error
win2012r2		yes 	        no		no		yes		no		no error		yes -> Bug 1584678
win10-x86_64		yes		yes		yes		yes		yes		no error		no error
win10-i386		yes		yes		yes		yes		yes		no error		no error
win8.1-i386		yes		yes		yes		yes		yes		no error		no error
win8.1-x86_64		yes		yes		yes		yes		yes		no error		no error
win2008R2 		yes		yes		no		yes		no		no error		no error
win8-i386		yes		yes		yes		yes		yes		no error		no error
win8-x86_64		yes		yes		yes		yes		yes		no error		no error


Below is the conclusion for the test result:

(1) For win2008r2, rhev-apt can start normally but qemu-ga can't installed, I think the problem is already tracked by Bug 1820144
(2) When checking on rhv: Select a virtual machine, then navigate to Applications, It will display between screenshot-1 and screenshot-2
screenshot-1: QEMU guest agent -->without version
screenshot-2: qemu-guest-agent-101.1.0 -- >with version

Please help me check, is it as expected, thanks.

Comment 6 Pino Toscano 2020-07-14 06:29:54 UTC
(In reply to zhoujunqin from comment #5)
> Below is the conclusion for the test result:

Thanks for the testing!

> (1) For win2008r2, rhev-apt can start normally but qemu-ga can't installed,
> I think the problem is already tracked by Bug 1820144

Yes, the usual sadness with win2008r2.

> (2) When checking on rhv: Select a virtual machine, then navigate to
> Applications, It will display between screenshot-1 and screenshot-2
> screenshot-1: QEMU guest agent -->without version
> screenshot-2: qemu-guest-agent-101.1.0 -- >with version

Maybe a different version of the QEMU guest agent? It seems mostly cosmetic IMHO.

Comment 7 zhoujunqin 2020-07-14 10:53:15 UTC
> > (2) When checking on rhv: Select a virtual machine, then navigate to
> > Applications, It will display between screenshot-1 and screenshot-2
> > screenshot-1: QEMU guest agent -->without version
> > screenshot-2: qemu-guest-agent-101.1.0 -- >with version
> 
> Maybe a different version of the QEMU guest agent? It seems mostly cosmetic
> IMHO.
Hi Pino,

Thanks for your reply.
I got the screenshots from the same VM but at the different moments.
Mostly it shows like screenshot-1: [QEMU guest agent] after I click 'Applications', sometime it shows like screenshot-2: [qemu-guest-agent-101.1.0].
There is no error in 'Events' log, so I can't tell why.

Then I checked the service 'QEMU Guest Agent' in VM, it's running successfully.


@tgolembi, please also help check this rhv issue, thanks.

Comment 8 Tomáš Golembiovský 2020-07-15 13:27:41 UTC
(In reply to zhoujunqin from comment #7)
> There is no error in 'Events' log, so I can't tell why.
> 
> Then I checked the service 'QEMU Guest Agent' in VM, it's running
> successfully.
> 

Please check also state of oVirt Guest Agent service. Has it been stopped or restarted after Windows started?

Comment 10 zhoujunqin 2020-08-11 08:22:05 UTC
Thanks for Tomáš and Pino's reply on the bug.

According to Pino's suggestion in our mail, our QE's testing has covered it in Comment 5.

===================================================================
In case of Windows guests: virt-v2v in RHEL AV >= 8.2.0 and in
RHEL >= 8.3.0 installs the qemu guest agent automatically, so using
the virtio-win ISO is enough in these cases. With older versions of
virt-v2v you need the RHV Tools ISO.
===================================================================

And for the issue I raised from Comment 7 to Comment 9, I have filed a new bug 1867560 to track,
So I move this bug from ON_QA to VERIFIED, thanks.

Comment 13 errata-xmlrpc 2020-11-04 02:54:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: virt:rhel and virt-devel:rhel security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4676


Note You need to log in before you can comment on or make changes to this bug.